%define	name	neverputt
%define	version	0.18.3
%define	release	1mdk
%define Summary	Neverputt golf game

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Url:		http://icculus.org/neverball/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Patch0:		%{name}-0.18.2-xpath.patch.bz2
Group:		Games/Sports
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL_mixer-devel SDL_image-devel SDL_ttf-devel libMesaGLU-devel

%description
Golf game based on the neverball game

%prep
%setup -q
%patch0 -p1

%build
%make CFLAGS="$RPM_OPT_FLAGS -ansi `sdl-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -m755 %{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.bin
%{__install} -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/
rm -fr data/map/
cp -a data $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/

%{__cat} > $RPM_BUILD_ROOT%{_gamesbindir}/%{name} << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}.bin
EOF
chmod +x $RPM_BUILD_ROOT%{_gamesbindir}/%{name}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Sports" \
		title="Neverputt"\
		longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
%{__install} -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGES MAPPING README
%{_gamesbindir}/%{name}*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Feb  5 2004 Olivier Blin <blino@mandrake.org> 0.18.3-1mdk
- don't package unneeded map files
- 0.18.3

* Wed Oct 29 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.18.2-1mdk
- initial mdk release
